petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPCHEBYSHEV

The preconditioned Chebyshev iterative method

### Options Database Keys

| -ksp_chebyshev_eigenvalues <emin,emax> | - set approximations to the smallest and largest eigenvalues of the preconditioned operator. If these are accurate you will get much faster convergence.
| -ksp_chebyshev_esteig <a,b,c,d> | - estimate eigenvalues using a Krylov method, then use this transform for Chebyshev eigenvalue bounds (KSPChebyshevEstEigSet())
| -ksp_chebyshev_esteig_steps | - number of estimation steps
| -ksp_chebyshev_esteig_noisy | - use noisy number generator to create right hand side for eigenvalue estimator

### Notes

The Chebyshev method requires both the matrix and preconditioner to be symmetric positive (semi) definite. Only support for left preconditioning.

Chebyshev is configured as a smoother by default, targetting the "upper" part of the spectrum. The user should call KSPChebyshevSetEigenvalues() if they have eigenvalue estimates.

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPChebyshevSetEigenvalues(), KSPChebyshevEstEigSet(), KSPChebyshevEstEigSetUseNoisy() KSPRICHARDSON, KSPCG, PCMG

### Level

beginner

### Location

src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages